{% extends 'base.html.twig' %}

{% block title %}Customer index{% endblock %}

{% block body %}
    <h1>Customer index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Phone</th>
                <th>Address_line1</th>
                <th>Address_line2</th>
                <th>Zipcode</th>
                <th>City</th>
                <th>Country</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for customer in customers %}
            <tr>
                <td>{{ customer.id }}</td>
                <td>{{ customer.phone }}</td>
                <td>{{ customer.addressLine1 }}</td>
                <td>{{ customer.addressLine2 }}</td>
                <td>{{ customer.zipcode }}</td>
                <td>{{ customer.city }}</td>
                <td>{{ customer.country }}</td>
                <td>
                    <a href="{{ path('app_customer_show', {'id': customer.id}) }}">show</a>
                    <a href="{{ path('app_customer_edit', {'id': customer.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="8">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_customer_new') }}">Create new</a>
{% endblock %}
